The Swift Package Index logo.Swift Package Index

Track the adoption of Swift 6 strict concurrency checks for data race safety. How many packages are Ready for Swift 6?

Build Information

Failed to build Gtk with Swift 5.7 for iOS using Xcode 14.2 at 4.12.0.

Build Command

env DEVELOPER_DIR="/Applications/Xcode-14.2.0.app" xcrun xcodebuild -IDEClonedSourcePackagesDirPathOverride="$PWD/.dependencies" -derivedDataPath "$PWD/.derivedData" build -scheme Gtk -destination "generic/platform=ios"

Build Log

========================================
RunAll
========================================
Builder version: 4.23.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/rhx/swiftgtk.git
Reference: 4.12.0
Initialized empty Git repository in /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.git/
From https://github.com/rhx/swiftgtk
 * tag               4.12.0     -> FETCH_HEAD
HEAD is now at 2787077 Merge branch 'gtk4-development' into gtk4
Cloned https://github.com/rhx/swiftgtk.git into spi-builder-workspace
27870779b965606c2c8e245e2ecba7a58ee4aa6c
SUCCESS checkout https://github.com/rhx/swiftgtk.git at 4.12.0
========================================
Build
========================================
Selected platform:         iOS
Swift version:             5.7
Building package at path:  spi-builder-workspace
Command line invocation:
    /Applications/Xcode-14.2.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -resolvePackageDependencies

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph

Fetching from https://github.com/rhx/gir2swift.git (cached)

Fetching from https://github.com/rhx/SwiftGraphene.git (cached)

Fetching from https://github.com/rhx/SwiftAtk.git (cached)

Fetching from https://github.com/rhx/SwiftGsk.git (cached)

Fetching from https://github.com/rhx/SwiftLibXML.git (cached)

Fetching from https://github.com/rhx/SwiftGObject.git (cached)

Fetching from https://github.com/rhx/SwiftGdk.git (cached)

Fetching from https://github.com/rhx/SwiftGLib.git (cached)

Fetching from https://github.com/rhx/SwiftGdkPixbuf.git (cached)

Fetching from https://github.com/rhx/SwiftPangoCairo.git (cached)

Fetching from https://github.com/rhx/SwiftGIO.git (cached)

Fetching from https://github.com/rhx/SwiftGModule.git (cached)

Fetching from https://github.com/rhx/SwiftCairo.git (cached)

Fetching from https://github.com/rhx/SwiftPango.git (cached)

Fetching from https://github.com/rhx/SwiftHarfBuzz.git (cached)

Fetching from https://github.com/apple/swift-argument-parser (cached)

Fetching from https://github.com/jpsim/Yams.git (cached)

Fetching from https://github.com/apple/swift-docc-plugin (cached)
Fetching from https://github.com/apple/swift-docc-symbolkit (cached)

Cloning local copy of package ‘swift-argument-parser’

Checking out 1.2.3 of package ‘swift-argument-parser’

Cloning local copy of package ‘swift-docc-plugin’

Checking out 1.3.0 of package ‘swift-docc-plugin’

Cloning local copy of package ‘SwiftLibXML’

Checking out main of package ‘SwiftLibXML’

Cloning local copy of package ‘SwiftPangoCairo’

Checking out main of package ‘SwiftPangoCairo’

Cloning local copy of package ‘SwiftHarfBuzz’

Checking out main of package ‘SwiftHarfBuzz’

Cloning local copy of package ‘SwiftCairo’

Checking out main of package ‘SwiftCairo’

Cloning local copy of package ‘SwiftGdk’

Checking out gtk4 of package ‘SwiftGdk’

Cloning local copy of package ‘SwiftGModule’

Checking out main of package ‘SwiftGModule’

Cloning local copy of package ‘SwiftGIO’

Checking out main of package ‘SwiftGIO’

Cloning local copy of package ‘swift-docc-symbolkit’

Checking out 1.0.0 of package ‘swift-docc-symbolkit’

Cloning local copy of package ‘SwiftAtk’

Checking out main of package ‘SwiftAtk’

Cloning local copy of package ‘SwiftGdkPixbuf’

Checking out main of package ‘SwiftGdkPixbuf’

Cloning local copy of package ‘SwiftGLib’

Checking out main of package ‘SwiftGLib’

Cloning local copy of package ‘SwiftGObject’

Checking out main of package ‘SwiftGObject’

Cloning local copy of package ‘SwiftGsk’

Checking out main of package ‘SwiftGsk’

Cloning local copy of package ‘gir2swift’

Checking out main of package ‘gir2swift’

Cloning local copy of package ‘SwiftGraphene’

Checking out main of package ‘SwiftGraphene’

Cloning local copy of package ‘SwiftPango’

Checking out main of package ‘SwiftPango’

Cloning local copy of package ‘Yams’

Checking out 4.0.6 of package ‘Yams’

you may be able to install gtk4-unix-print using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install atk using your system-packager:
    brew install atk glib glib-networking gobject-introspection
2023-10-05 07:48:19.853 xcodebuild[16949:913560] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000115aa00: name:Documentation.docc path:group:Documentation.docc> Failed to load container at path: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-argument-parser/Sources/ArgumentParser/Documentation.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Documentation.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Documentation.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-10-05 07:48:19.864 xcodebuild[16949:913560] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001156800: name:SymbolKit.docc path:group:SymbolKit.docc> Failed to load container at path: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-docc-symbolkit/Sources/SymbolKit/SymbolKit.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "SymbolKit.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "SymbolKit.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
you may be able to install harfbuzz-gobject using your system-packager:
    brew install harfbuzz glib glib-networking gobject-introspection
you may be able to install gio-unix-2.0 using your system-packager:
    brew install glib glib-networking gobject-introspection
you may be able to install pangocairo using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install gdk-pixbuf-2.0 using your system-packager:
    brew install gdk-pixbuf glib glib-networking gobject-introspection
you may be able to install graphene-gobject-1.0 using your system-packager:
    brew install graphene glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install pango using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install cairo using your system-packager:
    brew install cairo glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
Resolve Package Graph
you may be able to install gtk4-unix-print using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install pango using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install gdk-pixbuf-2.0 using your system-packager:
    brew install gdk-pixbuf glib glib-networking gobject-introspection
you may be able to install graphene-gobject-1.0 using your system-packager:
    brew install graphene glib glib-networking gobject-introspection
you may be able to install atk using your system-packager:
    brew install atk glib glib-networking gobject-introspection
you may be able to install gio-unix-2.0 using your system-packager:
    brew install glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install harfbuzz-gobject using your system-packager:
    brew install harfbuzz glib glib-networking gobject-introspection
you may be able to install pangocairo using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install cairo using your system-packager:
    brew install cairo glib glib-networking gobject-introspection

Resolved source packages:
  SwiftLibXML: https://github.com/rhx/SwiftLibXML.git @ main
  GLib: https://github.com/rhx/SwiftGLib.git @ main
  GdkPixBuf: https://github.com/rhx/SwiftGdkPixbuf.git @ main
  Gsk: https://github.com/rhx/SwiftGsk.git @ main
  GLibObject: https://github.com/rhx/SwiftGObject.git @ main
  Yams: https://github.com/jpsim/Yams.git @ 4.0.6
  Gtk: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace
  SymbolKit: https://github.com/apple/swift-docc-symbolkit @ 1.0.0
  Cairo: https://github.com/rhx/SwiftCairo.git @ main
  swift-argument-parser: https://github.com/apple/swift-argument-parser @ 1.2.3
  Atk: https://github.com/rhx/SwiftAtk.git @ main
  GIO: https://github.com/rhx/SwiftGIO.git @ main
  PangoCairo: https://github.com/rhx/SwiftPangoCairo.git @ main
  GModule: https://github.com/rhx/SwiftGModule.git @ main
  Pango: https://github.com/rhx/SwiftPango.git @ main
  gir2swift: https://github.com/rhx/gir2swift.git @ main
  Gdk: https://github.com/rhx/SwiftGdk.git @ gtk4
  Graphene: https://github.com/rhx/SwiftGraphene.git @ main
  HarfBuzz: https://github.com/rhx/SwiftHarfBuzz.git @ main
  SwiftDocCPlugin: https://github.com/apple/swift-docc-plugin @ 1.3.0

resolved source packages: SwiftLibXML, GLib, GdkPixBuf, Gsk, GLibObject, Yams, Gtk, SymbolKit, Cairo, swift-argument-parser, Atk, GIO, PangoCairo, GModule, Pango, gir2swift, Gdk, Graphene, HarfBuzz, SwiftDocCPlugin
{
  "workspace" : {
    "name" : "spi-builder-workspace",
    "schemes" : [
      "Gtk"
    ]
  }
}
Running build ...
env DEVELOPER_DIR="/Applications/Xcode-14.2.0.app" xcrun xcodebuild -IDEClonedSourcePackagesDirPathOverride="$PWD/.dependencies" -derivedDataPath "$PWD/.derivedData" build -scheme Gtk -destination "generic/platform=ios"
Command line invocation:
/Applications/Xcode-14.2.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme Gtk -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph
you may be able to install gtk4-unix-print using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gio-unix-2.0 using your system-packager:
    brew install glib glib-networking gobject-introspection
you may be able to install graphene-gobject-1.0 using your system-packager:
    brew install graphene glib glib-networking gobject-introspection
you may be able to install atk using your system-packager:
    brew install atk glib glib-networking gobject-introspection
you may be able to install cairo using your system-packager:
    brew install cairo glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gdk-pixbuf-2.0 using your system-packager:
    brew install gdk-pixbuf glib glib-networking gobject-introspection
you may be able to install pango using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install pangocairo using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install harfbuzz-gobject using your system-packager:
    brew install harfbuzz glib glib-networking gobject-introspection

2023-10-05 07:48:29.255 xcodebuild[19736:921418] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600003b02f00: name:SymbolKit.docc path:group:SymbolKit.docc> Failed to load container at path: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-docc-symbolkit/Sources/SymbolKit/SymbolKit.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "SymbolKit.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "SymbolKit.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-10-05 07:48:29.269 xcodebuild[19736:921418] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600003bf4800: name:Documentation.docc path:group:Documentation.docc> Failed to load container at path: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-argument-parser/Sources/ArgumentParser/Documentation.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Documentation.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Documentation.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
Resolve Package Graph

Resolved source packages:
  GLibObject: https://github.com/rhx/SwiftGObject.git @ main
  SwiftLibXML: https://github.com/rhx/SwiftLibXML.git @ main
  HarfBuzz: https://github.com/rhx/SwiftHarfBuzz.git @ main
  swift-argument-parser: https://github.com/apple/swift-argument-parser @ 1.2.3
  Atk: https://github.com/rhx/SwiftAtk.git @ main
  gir2swift: https://github.com/rhx/gir2swift.git @ main
  SwiftDocCPlugin: https://github.com/apple/swift-docc-plugin @ 1.3.0
  Yams: https://github.com/jpsim/Yams.git @ 4.0.6
  Gtk: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace
  GdkPixBuf: https://github.com/rhx/SwiftGdkPixbuf.git @ main
  GIO: https://github.com/rhx/SwiftGIO.git @ main
  Gdk: https://github.com/rhx/SwiftGdk.git @ gtk4
  Cairo: https://github.com/rhx/SwiftCairo.git @ main
  GModule: https://github.com/rhx/SwiftGModule.git @ main
  Pango: https://github.com/rhx/SwiftPango.git @ main
  SymbolKit: https://github.com/apple/swift-docc-symbolkit @ 1.0.0
  PangoCairo: https://github.com/rhx/SwiftPangoCairo.git @ main
  Gsk: https://github.com/rhx/SwiftGsk.git @ main
  GLib: https://github.com/rhx/SwiftGLib.git @ main
  Graphene: https://github.com/rhx/SwiftGraphene.git @ main
you may be able to install gtk4-unix-print using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install harfbuzz-gobject using your system-packager:
    brew install harfbuzz glib glib-networking gobject-introspection
you may be able to install cairo using your system-packager:
    brew install cairo glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install pangocairo using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install gio-unix-2.0 using your system-packager:
    brew install glib glib-networking gobject-introspection
you may be able to install pango using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install graphene-gobject-1.0 using your system-packager:
    brew install graphene glib glib-networking gobject-introspection
you may be able to install gdk-pixbuf-2.0 using your system-packager:
    brew install gdk-pixbuf glib glib-networking gobject-introspection
you may be able to install atk using your system-packager:
    brew install atk glib glib-networking gobject-introspection
Prepare packages


** BUILD INTERRUPTED **


The following build commands failed:
	Validate plug-in “gir2swift-plugin” in package “gir2swift”
	eyJ0eXBlIjp7ImJsdWVwcmludFByb3ZpZGVyIjp7fX0sImJsdWVwcmludFByb3ZpZGVyX3Byb3ZpZGVyRmlsZVBhdGhTdHJpbmciOiJcL1VzZXJzXC9hZG1pblwvYnVpbGRzXC9aNllCeFNqcFwvMFwvZmluZXN0cnVjdHVyZVwvc3dpZnRwYWNrYWdlaW5kZXgtYnVpbGRlclwvc3BpLWJ1aWxkZXItd29ya3NwYWNlIn0=
(2 failures)
ShellOut encountered an error
Status code: 75
Message: "2023-10-05 07:48:29.255 xcodebuild[19736:921418] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600003b02f00: name:SymbolKit.docc path:group:SymbolKit.docc> Failed to load container at path: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-docc-symbolkit/Sources/SymbolKit/SymbolKit.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "SymbolKit.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "SymbolKit.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-10-05 07:48:29.269 xcodebuild[19736:921418] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600003bf4800: name:Documentation.docc path:group:Documentation.docc> Failed to load container at path: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-argument-parser/Sources/ArgumentParser/Documentation.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Documentation.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Documentation.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
** BUILD INTERRUPTED **


The following build commands failed:
	Validate plug-in “gir2swift-plugin” in package “gir2swift”
	eyJ0eXBlIjp7ImJsdWVwcmludFByb3ZpZGVyIjp7fX0sImJsdWVwcmludFByb3ZpZGVyX3Byb3ZpZGVyRmlsZVBhdGhTdHJpbmciOiJcL1VzZXJzXC9hZG1pblwvYnVpbGRzXC9aNllCeFNqcFwvMFwvZmluZXN0cnVjdHVyZVwvc3dpZnRwYWNrYWdlaW5kZXgtYnVpbGRlclwvc3BpLWJ1aWxkZXItd29ya3NwYWNlIn0=
(2 failures)"
Output: "Command line invocation:
    /Applications/Xcode-14.2.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme Gtk -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES

Resolve Package Graph
you may be able to install gtk4-unix-print using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gio-unix-2.0 using your system-packager:
    brew install glib glib-networking gobject-introspection
you may be able to install graphene-gobject-1.0 using your system-packager:
    brew install graphene glib glib-networking gobject-introspection
you may be able to install atk using your system-packager:
    brew install atk glib glib-networking gobject-introspection
you may be able to install cairo using your system-packager:
    brew install cairo glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gdk-pixbuf-2.0 using your system-packager:
    brew install gdk-pixbuf glib glib-networking gobject-introspection
you may be able to install pango using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install pangocairo using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install harfbuzz-gobject using your system-packager:
    brew install harfbuzz glib glib-networking gobject-introspection

Resolve Package Graph

Resolved source packages:
  GLibObject: https://github.com/rhx/SwiftGObject.git @ main
  SwiftLibXML: https://github.com/rhx/SwiftLibXML.git @ main
  HarfBuzz: https://github.com/rhx/SwiftHarfBuzz.git @ main
  swift-argument-parser: https://github.com/apple/swift-argument-parser @ 1.2.3
  Atk: https://github.com/rhx/SwiftAtk.git @ main
  gir2swift: https://github.com/rhx/gir2swift.git @ main
  SwiftDocCPlugin: https://github.com/apple/swift-docc-plugin @ 1.3.0
  Yams: https://github.com/jpsim/Yams.git @ 4.0.6
  Gtk: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace
  GdkPixBuf: https://github.com/rhx/SwiftGdkPixbuf.git @ main
  GIO: https://github.com/rhx/SwiftGIO.git @ main
  Gdk: https://github.com/rhx/SwiftGdk.git @ gtk4
  Cairo: https://github.com/rhx/SwiftCairo.git @ main
  GModule: https://github.com/rhx/SwiftGModule.git @ main
  Pango: https://github.com/rhx/SwiftPango.git @ main
  SymbolKit: https://github.com/apple/swift-docc-symbolkit @ 1.0.0
  PangoCairo: https://github.com/rhx/SwiftPangoCairo.git @ main
  Gsk: https://github.com/rhx/SwiftGsk.git @ main
  GLib: https://github.com/rhx/SwiftGLib.git @ main
  Graphene: https://github.com/rhx/SwiftGraphene.git @ main

you may be able to install gtk4-unix-print using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install harfbuzz-gobject using your system-packager:
    brew install harfbuzz glib glib-networking gobject-introspection
you may be able to install cairo using your system-packager:
    brew install cairo glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install pangocairo using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install gio-unix-2.0 using your system-packager:
    brew install glib glib-networking gobject-introspection
you may be able to install pango using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install graphene-gobject-1.0 using your system-packager:
    brew install graphene glib glib-networking gobject-introspection
you may be able to install gdk-pixbuf-2.0 using your system-packager:
    brew install gdk-pixbuf glib glib-networking gobject-introspection
you may be able to install atk using your system-packager:
    brew install atk glib glib-networking gobject-introspection

Prepare packages


"
Retrying in 0.0 seconds ...
Building ... (attempt 2)
Command line invocation:
    /Applications/Xcode-14.2.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme Gtk -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph

Resolved source packages:
  SwiftLibXML: https://github.com/rhx/SwiftLibXML.git @ main
  Atk: https://github.com/rhx/SwiftAtk.git @ main
  Yams: https://github.com/jpsim/Yams.git @ 4.0.6
  Pango: https://github.com/rhx/SwiftPango.git @ main
  PangoCairo: https://github.com/rhx/SwiftPangoCairo.git @ main
  gir2swift: https://github.com/rhx/gir2swift.git @ main
  Cairo: https://github.com/rhx/SwiftCairo.git @ main
  HarfBuzz: https://github.com/rhx/SwiftHarfBuzz.git @ main
  GModule: https://github.com/rhx/SwiftGModule.git @ main
  GdkPixBuf: https://github.com/rhx/SwiftGdkPixbuf.git @ main
  GLibObject: https://github.com/rhx/SwiftGObject.git @ main
  swift-argument-parser: https://github.com/apple/swift-argument-parser @ 1.2.3
  Gdk: https://github.com/rhx/SwiftGdk.git @ gtk4
  Gsk: https://github.com/rhx/SwiftGsk.git @ main
  Gtk: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace
  SymbolKit: https://github.com/apple/swift-docc-symbolkit @ 1.0.0
  Graphene: https://github.com/rhx/SwiftGraphene.git @ main
  GLib: https://github.com/rhx/SwiftGLib.git @ main
  GIO: https://github.com/rhx/SwiftGIO.git @ main
  SwiftDocCPlugin: https://github.com/apple/swift-docc-plugin @ 1.3.0
you may be able to install gtk4-unix-print using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install graphene-gobject-1.0 using your system-packager:
    brew install graphene glib glib-networking gobject-introspection
you may be able to install cairo using your system-packager:
    brew install cairo glib glib-networking gobject-introspection
you may be able to install pango using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install pangocairo using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install gio-unix-2.0 using your system-packager:
    brew install glib glib-networking gobject-introspection
you may be able to install gdk-pixbuf-2.0 using your system-packager:
    brew install gdk-pixbuf glib glib-networking gobject-introspection
you may be able to install atk using your system-packager:
    brew install atk glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install harfbuzz-gobject using your system-packager:
    brew install harfbuzz glib glib-networking gobject-introspection

Prepare packages


** BUILD INTERRUPTED **


The following build commands failed:
	Validate plug-in “gir2swift-plugin” in package “gir2swift”
	eyJ0eXBlIjp7ImJsdWVwcmludFByb3ZpZGVyIjp7fX0sImJsdWVwcmludFByb3ZpZGVyX3Byb3ZpZGVyRmlsZVBhdGhTdHJpbmciOiJcL1VzZXJzXC9hZG1pblwvYnVpbGRzXC9aNllCeFNqcFwvMFwvZmluZXN0cnVjdHVyZVwvc3dpZnRwYWNrYWdlaW5kZXgtYnVpbGRlclwvc3BpLWJ1aWxkZXItd29ya3NwYWNlIn0=
(2 failures)
ShellOut encountered an error
Status code: 75
Message: "** BUILD INTERRUPTED **


The following build commands failed:
	Validate plug-in “gir2swift-plugin” in package “gir2swift”
	eyJ0eXBlIjp7ImJsdWVwcmludFByb3ZpZGVyIjp7fX0sImJsdWVwcmludFByb3ZpZGVyX3Byb3ZpZGVyRmlsZVBhdGhTdHJpbmciOiJcL1VzZXJzXC9hZG1pblwvYnVpbGRzXC9aNllCeFNqcFwvMFwvZmluZXN0cnVjdHVyZVwvc3dpZnRwYWNrYWdlaW5kZXgtYnVpbGRlclwvc3BpLWJ1aWxkZXItd29ya3NwYWNlIn0=
(2 failures)"
Output: "Command line invocation:
    /Applications/Xcode-14.2.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme Gtk -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES

Resolve Package Graph

Resolved source packages:
  SwiftLibXML: https://github.com/rhx/SwiftLibXML.git @ main
  Atk: https://github.com/rhx/SwiftAtk.git @ main
  Yams: https://github.com/jpsim/Yams.git @ 4.0.6
  Pango: https://github.com/rhx/SwiftPango.git @ main
  PangoCairo: https://github.com/rhx/SwiftPangoCairo.git @ main
  gir2swift: https://github.com/rhx/gir2swift.git @ main
  Cairo: https://github.com/rhx/SwiftCairo.git @ main
  HarfBuzz: https://github.com/rhx/SwiftHarfBuzz.git @ main
  GModule: https://github.com/rhx/SwiftGModule.git @ main
  GdkPixBuf: https://github.com/rhx/SwiftGdkPixbuf.git @ main
  GLibObject: https://github.com/rhx/SwiftGObject.git @ main
  swift-argument-parser: https://github.com/apple/swift-argument-parser @ 1.2.3
  Gdk: https://github.com/rhx/SwiftGdk.git @ gtk4
  Gsk: https://github.com/rhx/SwiftGsk.git @ main
  Gtk: /Users/admin/builds/Z6YBxSjp/0/finestructure/swiftpackageindex-builder/spi-builder-workspace
  SymbolKit: https://github.com/apple/swift-docc-symbolkit @ 1.0.0
  Graphene: https://github.com/rhx/SwiftGraphene.git @ main
  GLib: https://github.com/rhx/SwiftGLib.git @ main
  GIO: https://github.com/rhx/SwiftGIO.git @ main
  SwiftDocCPlugin: https://github.com/apple/swift-docc-plugin @ 1.3.0

you may be able to install gtk4-unix-print using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install graphene-gobject-1.0 using your system-packager:
    brew install graphene glib glib-networking gobject-introspection
you may be able to install cairo using your system-packager:
    brew install cairo glib glib-networking gobject-introspection
you may be able to install pango using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install pangocairo using your system-packager:
    brew install pango glib glib-networking gobject-introspection
you may be able to install gio-unix-2.0 using your system-packager:
    brew install glib glib-networking gobject-introspection
you may be able to install gdk-pixbuf-2.0 using your system-packager:
    brew install gdk-pixbuf glib glib-networking gobject-introspection
you may be able to install atk using your system-packager:
    brew install atk glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install gtk4 using your system-packager:
    brew install gtk4 glib glib-networking gobject-introspection
you may be able to install harfbuzz-gobject using your system-packager:
    brew install harfbuzz glib glib-networking gobject-introspection

Prepare packages


"
BUILD FAILURE 5.7 iOS